[Tinyos-help] Windows installation wizard: "postinstall" missing?

Kristin Wright l.kristin.wright at gmail.com
Tue Mar 1 22:33:55 PST 2005


I take that back about the installation going fine. You do need to
address the toscheck problems. You said that you already had cygwin
installed -- I'm wondering if you don't have the rpm package installed
because it doesn't appear as though many of the packages were
installed.

This is pretty easy to recover from if this is the case:
1) get the rpm package from cygwin
2) install the rpms which you will find in /usr/src/rpm/RPMS/i386.
Install tools first and the tinyos* rpms later as the latter have
dependencies on the former.

-kw

On Tue, 01 Mar 2005 16:47:07 +0100, Holger Karl
<holger.karl at uni-paderborn.de> wrote:
> Hi there,
> 
> Just tried to use the windows installation wizard.
> Installation started out fine (WinXP, cygwin already
> installed), bash windows started to appear, but then, error
> box with following text:
> 
> Didn't find C:\WINDOWS\Downloaded
> Installations\{442F5006-366E-490A-B592-67B0FC6B2866}\postins
> tall
> 
> ?? Installation aborted afterwards.
> 
> Not sure what the problem is; for what it is worth, I'll
> include the error messages of toscheck below (probably
> unrelated...)
> 
> Any ideas would be very appreciated...
> 
> Thanks and best regards,
> 
> Holger
> 
> toscheck completed with errors:
> 
> --> WARNING: CLASSPATH environment variable doesn't exist.
> --> WARNING: ncc (nesc) was found, but the version could not
> be verified. Verify
>  that the ncc version that you have is 1.1 by running ncc
> --version. If you get
> an error regarding platforms, please see the TinyOS FAQ for
> help: www.tinyos.net
> /faq.html
> --> WARNING: The ncc found by toscheck is not version 1.1.
> Please update your ne
> sc version to 1.1 tinyos.
> --> WARNING: No flex in current path.
> --> WARNING: Could not find the javax.comm classes.
> Please ensure the java Comm API is installed correctly.
> --> WARNING: No dot in current path.
> --> WARNING: toscheck could not find the 'dot' executable
> which is part of the A
> T&T Graphviz package. Please install version 1.1.0 of
> Graphviz if you'd  like to
>  use the nescdoc documentation generator.
> --> WARNING: No msp430-gcc in current path.
> --> WARNING: msp430-gcc not found. Won't be able to compile
> to any msp430 platfo
> rms (telos).
> 
> _______________________________________________
> Tinyos-help mailing list
> Tinyos-help at Millennium.Berkeley.EDU
> http://mail.Millennium.Berkeley.EDU/mailman/listinfo/tinyos-help
>


More information about the Tinyos-help mailing list